## gfxboot-theme-ubuntu 0.11.4

=== Makefile ===
ifneq ($(BINDIR),)
BINDIR      := $(BINDIR)/
else
BINDIR      := $(dir $(firstword $(wildcard /usr/bin/gfxboot-compile) $(wildcard /usr/bin/mkbootmsg) $(wildcard ../../gfxboot-compile) $(wildcard ../../mkbootmsg)))
endif
ifneq ($(PRIVBINDIR),)
PRIVBINDIR  := $(PRIVBINDIR)/
else
PRIVBINDIR  := $(dir $(firstword $(wildcard /usr/share/gfxboot/bin/keymapchars) $(wildcard ../../keymapchars)))
endif

ifneq (,$(wildcard $(BINDIR)gfxboot-compile))
MKBOOTMSG    = $(BINDIR)gfxboot-compile
else
MKBOOTMSG    = $(BINDIR)mkbootmsg
endif
KEYMAPCHARS  = $(PRIVBINDIR)keymapchars
BFLAGS       = -O -v -L ../..
INCLUDES     = $(wildcard *.inc)
# Filter out Arabic, Indic languages, and Thai, which we cannot render, and
# Dzongkha and Mongolian, which ought to be rendered vertically.
# gfxboot has no bidirectional text support yet
# (https://bugs.launchpad.net/ubuntu/+source/gfxboot/+bug/212491) so
# right-to-left languages (Arabic) won't work. This can be worked-around
# by displaying RTL text in visual format (which works well for Hebrew and should
# be considered for use in other languages where applicable)
TRANSLATIONS = $(addsuffix .tr,en $(filter-out ar bn dz gu hi km ml mn ne pa ta th, $(notdir $(basename $(wildcard po/*.po)))))

DEFAULT_LANG =

PIC_COMMON   = back.jpg

FILES_CORE   = init

INST_EXT     = langlist $(TRANSLATIONS) 16x16.fnt $(PIC_COMMON)

FILES_INST   = $(FILES_CORE) $(INST_EXT)

FILES_BOOT   = $(FILES_CORE) langlist $(TRANSLATIONS) 16x16.fnt \
	       $(PIC_COMMON)

FILES_BOOT_EN = $(FILES_CORE) en.tr 16x16.fnt $(PIC_COMMON)

ifdef DEFAULT_LANG
FILES_INST += lang
FILES_BOOT += lang
FILES_BOOT_EN += lang $(patsubst boot/%,%,$(wildcard boot/$(DEFAULT_LANG).tr))
endif

.PHONY: all themes font clean po

all: themes

boot install: po
	mkdir -p $@

po:
	make -C po

themes: bootdir installdir

bootdir: boot.config boot $(INCLUDES)
	@cp -a po/*.tr boot
	@for i in $(FILES_BOOT) ; do [ -f $$i ] && cp $$i boot ; done ; true
	@echo en >boot/langlist
	$(MKBOOTMSG) $(BFLAGS) -l boot/log -c $< boot/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >boot/lang
	@echo $(DEFAULT_LANG) >>boot/langlist
endif
	@cd boot && echo $(FILES_BOOT_EN) | sed -e "s/ /\n/g" | cpio --quiet -o >message

installdir: install.config install $(INCLUDES)
	@cp -a po/*.tr install
	@for i in $(FILES_INST) ; do [ -f $$i ] && cp $$i install ; done ; true
	$(MKBOOTMSG) $(BFLAGS) -l install/log -c $< install/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >install/lang
endif
	@cd install && echo $(FILES_CORE) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo
	@tar -C install -czf install/bootlogo.tar.gz bootlogo $(INST_EXT)

font:
	@if [ -z "$(DI_PATH)" ]; then echo "Please set DI_PATH to an unpacked debian-installer source tree" >&2; exit 1; fi
	cat po/*.po >tmp.txt
	cat $(DI_PATH)/build/boot/x86/po/*.po >>tmp.txt
	gfxboot-font -v -l 18 -p /usr/share/fonts/X11/misc \
	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
	`$(KEYMAPCHARS) keytables.inc` \
	-t tmp.txt \
	-t install/log -t boot/log \
	-t langlist -t langnames.inc \
	-f unifont:prop=2:space_width=4 \
	16x16.fnt >16x16.fnt.log
	rm -f tmp.txt

clean:
	make -C po clean
	rm -f bootdir installdir *~ *.log
	rm -rf boot install

=== debian/changelog ===
gfxboot-theme-ubuntu (0.11.4) natty; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Apr 2011 18:08:26 +0100

gfxboot-theme-ubuntu (0.11.3) natty; urgency=low

  * Preseed keyboard-configuration/* questions for layout, variant, and
    model, not the obsolete console-setup/* questions (LP: #742558).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2011 19:46:48 +0100

gfxboot-theme-ubuntu (0.11.2) natty; urgency=low

  * Update keymaps from console-setup 1.57ubuntu17.
  * Update langnames from localechooser 2.34ubuntu3.
  * Regenerate font.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 28 Mar 2011 14:53:53 +0100

gfxboot-theme-ubuntu (0.11.1) natty; urgency=low

  * Add an "access-options-v1" option to gfxboot.cfg, which overrides the
    default "access=v1" kernel options used in High Contrast mode
    (LP: #739445).
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2011 14:22:32 +0000

gfxboot-theme-ubuntu (0.11.0) natty; urgency=low

  * Update translations from Launchpad (LP: #657984).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Nov 2010 19:06:10 +0000

## gfxboot-theme-ubuntu 0.12.2

=== debian/changelog ===
gfxboot-theme-ubuntu (0.12.2) oneiric; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Oct 2011 17:09:26 +0100

gfxboot-theme-ubuntu (0.12.1) oneiric; urgency=low

  * Change "Install Ubuntu ^Enterprise Cloud" string to "^Enlist system with
    Ubuntu Orchestra Server", matching debian-cd changes.
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2011 14:02:43 +0100

gfxboot-theme-ubuntu (0.12.0) oneiric; urgency=low

  * Add localisation for "^Try Lubuntu without installing" and "^Install
    Lubuntu" (LP: #855977).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 13:49:32 +0100

## gfxboot-theme-ubuntu 0.13.2

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 # right-to-left languages (Arabic) won't work. This can be worked-around
 # by displaying RTL text in visual format (which works well for Hebrew and should
 # be considered for use in other languages where applicable)
-TRANSLATIONS = $(addsuffix .tr,en $(filter-out ar bn dz gu hi km ml mn ne pa ta th, $(notdir $(basename $(wildcard po/*.po)))))
+TRANSLATIONS = $(addsuffix .tr,en $(filter-out ar bn dz gu hi km ml mn ne pa ta th ug, $(notdir $(basename $(wildcard po/*.po)))))
 
 DEFAULT_LANG =

=== debian/changelog ===
gfxboot-theme-ubuntu (0.13.2) precise; urgency=low

  * Change "^Enlist system with Ubuntu Orchestra Server" to "^Multiple
    server install with MAAS", matching debian-cd changes.  (There won't be
    time to translate this before 12.04, unfortunately, but we were out of
    sync already, and we can take translations for 12.04.1.)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Apr 2012 10:33:57 +0100

gfxboot-theme-ubuntu (0.13.1) precise; urgency=low

  * Remove duplicate Catalan layout from keymap panel, which crept in when
    the ad layout was renamed from Andorra to Catalan.  We currently prefer
    es_cat; I don't know for sure whether this is "correct", but it's in
    sync with console-setup and at this point in the release cycle that's
    the main thing.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Apr 2012 00:54:02 +0100

gfxboot-theme-ubuntu (0.13.0) precise; urgency=low

  * Update translations from Launchpad.
  * po/bin/po2txt: Fix warning with Perl >= 5.12.
  * Regenerate font.
  * Update keymaps from console-setup 1.70ubuntu4.
  * Update language names from localechooser 2.39ubuntu2, adding Uyghur.
  * Filter out Uyghur translations, since lack of right-to-left display
    support makes them unreadable.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2012 11:23:24 +0100

## gfxboot-theme-ubuntu 0.13.3

=== debian/changelog ===
gfxboot-theme-ubuntu (0.13.3) precise-proposed; urgency=low

  * Update translations from Launchpad (LP: #999071).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 May 2012 16:54:01 -0700

=== debian/control ===
Source: gfxboot-theme-ubuntu
Section: utils
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: debhelper (>= 7.0.0), gfxboot-dev (>= 4.1.42), cpio, libfribidi0
Standards-Version: 3.6.2
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gfxboot-theme-ubuntu/mainline

Package: gfxboot-theme-ubuntu
Architecture: amd64 i386
Depends: ${misc:Depends}, gfxboot (>= 3.3.28)
Description: Ubuntu theme for gfxboot-compliant boot loaders
 This is an Ubuntu theme for the gfxboot graphical boot loader extension. It
 should be suitable for Ubuntu derivatives as well as Ubuntu itself.
 .
 This theme does not include any help texts or logos itself. Those should be
 provided by other packages, and may be specific to Ubuntu derivatives.

## gfxboot-theme-ubuntu 0.14.3

=== debian/changelog ===
gfxboot-theme-ubuntu (0.14.3) quantal; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Sep 2012 14:11:49 +0100

gfxboot-theme-ubuntu (0.14.2) quantal; urgency=low

  * Update translations from Launchpad (LP: #999071).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 May 2012 16:50:51 -0700

gfxboot-theme-ubuntu (0.14.1) quantal; urgency=low

  * Build-depend on libfribidi-bin rather than libfribidi0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 May 2012 12:16:00 +0100

gfxboot-theme-ubuntu (0.14.0) quantal; urgency=low

  * Update language names from localechooser 2.40ubuntu1, adding Tibetan and
    Burmese.
  * Filter out Tibetan and Burmese translations, since we can't render Indic
    languages at the moment.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 May 2012 11:25:50 +0100

## gfxboot-theme-ubuntu 0.15.0

=== debian/changelog ===
gfxboot-theme-ubuntu (0.15.0) raring; urgency=low

  * Add localisation for UbuntuKylin (thanks, wangyan; LP: #1099710).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Jan 2013 15:16:33 +0000

## gfxboot-theme-ubuntu 0.15.1

=== debian/changelog ===
gfxboot-theme-ubuntu (0.15.1) raring; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Apr 2013 16:54:01 +0100

## gfxboot-theme-ubuntu 0.16.1

=== po/Makefile ===
POFILES	= $(wildcard *.po)
TEXTS	= $(addsuffix .tr,$(basename $(wildcard *.po)))

all: text.inc $(TEXTS)

%.tr: %.po text.inc
	bin/po2txt $< >$@

# en.tr uses msgids from bootloader.pot
en.tr text.inc: bootloader.pot
	bin/po2txt $< >en.tr

clean:
	rm -f text.inc *.tr *~

=== debian/changelog ===
gfxboot-theme-ubuntu (0.16.1) trusty; urgency=medium

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Apr 2014 14:05:41 +0100

gfxboot-theme-ubuntu (0.16.0) trusty; urgency=low

  * Rename UbuntuKylin to Ubuntu Kylin (LP: #1260198).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Dec 2013 10:45:04 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.0), gfxboot-dev (>= 4.1.42), cpio, libfribidi0
+Build-Depends: debhelper (>= 7.0.0), gfxboot-dev (>= 4.1.42), cpio, libfribidi-bin
 Standards-Version: 3.6.2
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gfxboot-theme-ubuntu/mainline

## gfxboot-theme-ubuntu 0.17.0

=== debian/changelog ===
gfxboot-theme-ubuntu (0.17.0) utopic; urgency=medium

  * Look up syslinux.cfg and isolinux.cfg in the bootlogo archive as well
    (LP: #1327831).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jun 2014 15:49:37 +0100

## gfxboot-theme-ubuntu 0.18.0

=== debian/changelog ===
gfxboot-theme-ubuntu (0.18.0) vivid; urgency=medium

  [ Marius Gedminas ]
  * Add localisation for "^Try Ubuntu GNOME without installing" and "^Install
    Ubuntu GNOME" (LP: #1384188).

  [ Mathieu Trudel-Lapierre ]
  * Update translations from Launchpad.
  * Update Maintainer.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 16 Dec 2014 12:59:41 -0500

## gfxboot-theme-ubuntu 0.20.1

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 # right-to-left languages (Arabic) won't work. This can be worked-around
 # by displaying RTL text in visual format (which works well for Hebrew and should
 # be considered for use in other languages where applicable)
-TRANSLATIONS = $(addsuffix .tr,en $(filter-out ar bn dz gu hi km ml mn ne pa ta th ug, $(notdir $(basename $(wildcard po/*.po)))))
+TRANSLATIONS = $(addsuffix .tr,en $(filter-out ar bn bo dz gu hi km ml mn my ne pa ta th ug, $(notdir $(basename $(wildcard po/*.po)))))
 
 DEFAULT_LANG =

=== debian/changelog ===
gfxboot-theme-ubuntu (0.20.1) xenial; urgency=medium

  * Update translations from Launchpad (LP: #1442586).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2016 11:30:00 +0100

gfxboot-theme-ubuntu (0.20.0) xenial; urgency=medium

  * Add localisation for Ubuntu MATE (LP: #1559243).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Mar 2016 13:19:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gfxboot-theme-ubuntu
 Section: utils
 Priority: optional
-Maintainer: Colin Watson <cjwatson@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.0), gfxboot-dev (>= 4.1.42), cpio, libfribidi-bin
 Standards-Version: 3.6.2
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gfxboot-theme-ubuntu/mainline

## gfxboot-theme-ubuntu 0.21.0

=== debian/changelog ===
gfxboot-theme-ubuntu (0.21.0) yakkety; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Update translations from Launchpad (LP: #1502660).

  [ Ross Gammon ]
  * Add translation for 'Try Ubuntu Studio without installing'. (LP: #1550186)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 10 Oct 2016 10:47:07 -0400

## gfxboot-theme-ubuntu 0.21.1

=== debian/changelog ===
gfxboot-theme-ubuntu (0.21.1) disco; urgency=medium

  * Update translations from Launchpad.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 15 Apr 2019 10:31:42 +0200

## gfxboot-theme-ubuntu 0.23.0

=== debian/changelog ===
gfxboot-theme-ubuntu (0.23.0) focal; urgency=medium

  * Also add tg to langlist.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Mar 2020 11:36:00 -0700

gfxboot-theme-ubuntu (0.22.0) focal; urgency=medium

  * langnames.inc: add Tajik to the list of languages to be included in the
    isolinux language selector.  Closes: #1171844.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Mar 2020 00:03:19 -0800

## gfxboot-theme-ubuntu 0.23.3

=== debian/changelog ===
gfxboot-theme-ubuntu (0.23.3) focal; urgency=medium

  * Update translations using a new launchpad export

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Apr 2020 17:18:10 +0200

gfxboot-theme-ubuntu (0.23.2) focal; urgency=medium

  * Bugfix update to fix a regression from the previous upload. Don't use
    spaces in string identifier names, they are ignored which did lead to
    the wrong messages to be loaded.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Apr 2020 20:56:58 +0200

gfxboot-theme-ubuntu (0.23.1) focal; urgency=medium

  * po/bootloader.pot:
    - updated to add the safe graphics strings (lp: #1871087)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Apr 2020 10:29:10 +0200

## gfxboot-theme-ubuntu 0.23.3+10.0trisquel3

=== debian/changelog ===
gfxboot-theme-ubuntu (0.23.3+10.0trisquel3) nabia; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 19 Oct 2022 17:14:23 +0000

=== debian/control ===
Source: gfxboot-theme-ubuntu
Section: utils
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper (>= 7.0.0)
Build-Depends-Indep: gfxboot-dev (>= 4.1.42), cpio, libfribidi-bin
Standards-Version: 3.6.2
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gfxboot-theme-ubuntu/mainline

Package: gfxboot-theme-trisquel
Architecture: amd64 i386
Depends: ${misc:Depends}, gfxboot (>= 3.3.28)
Description: Trisquel theme for gfxboot-compliant boot loaders
 This is an Trisquel theme for the gfxboot graphical boot loader extension. It
 should be suitable for Trisquel derivatives as well as Trisquel itself.
 .
 This theme does not include any help texts or logos itself. Those should be
 provided by other packages, and may be specific to Trisquel derivatives.
